VectorLinux

The nuts and bolts => Software General => Topic started by: black-clover on August 29, 2017, 11:36:17 am

Title: Trelby and python
Post by: black-clover on August 29, 2017, 11:36:17 am
I use a program named Trelby to write screenplays.
It is not an app you need to install, just unzip and copy the dir to /opt and start it by command line.
I installed it and ran it in VL Light Final, after installing   wxWidgets, wxPython and  lxml, which are needed.
Trelby ran perfectly.

I did the same in VL STD RC3, after updating and upgrading the system and installing  wxWidgets, wxPython and  lxml.
This time I got the following error:

    import _gdi_
ImportError: /usr/lib/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_gdi_.so: symbol _ZN14wxGnomePrintDC13GetResolutionEv, version WXU_2.8 not defined in file libwx_gtk2u_core-2.8.so.0 with link time reference

Anyone has an idea of what went wrong?
Title: Re: Trelby and python
Post by: black-clover on September 01, 2017, 03:28:45 pm
I removed and then reinstalled wxGTK and wxPython.
Now Trelby runs fine
That means the issue was with wxGTK or wxPython somehow, in the version I installed with VL-SDT-RC3.
The ones now in the repo work fine.